Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.policy.builder.xml
Class XMLPrimitiveAssertionBuilder

    java.lang.Object
      org.apache.cxf.ws.policy.builder.primitive.PrimitiveAssertionBuilder
          org.apache.cxf.ws.policy.builder.xml.XMLPrimitiveAssertionBuilder

All Implemented Interfaces:
  AssertionBuilder

    public class XMLPrimitiveAssertionBuilder

extends PrimitiveAssertionBuilder

Field Summary

Fields inherited from class org.apache.cxf.ws.policy.builder.primitive.PrimitiveAssertionBuilder
`bus`

Constructor Summary
`XMLPrimitiveAssertionBuilder()`
`XMLPrimitiveAssertionBuilder(java.util.Collection<javax.xml.namespace.QName> els)`

Method Summary
`PolicyAssertion` | `build(org.w3c.dom.Element element)` Constructs an assertion from an xml element.

Methods inherited from class org.apache.cxf.ws.policy.builder.primitive.PrimitiveAssertionBuilder
`buildCompatible, getKnownElements, getPolicyConstants, setBus, setKnownElements`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLPrimitiveAssertionBuilder

    public XMLPrimitiveAssertionBuilder()

### XMLPrimitiveAssertionBuilder

    public XMLPrimitiveAssertionBuilder(java.util.Collection<javax.xml.namespace.QName> els)

Method Detail

### build

    public PolicyAssertion build(org.w3c.dom.Element element)

  Description copied from interface: `AssertionBuilder`
  Constructs an assertion from an xml element.

  Specified by:
    `build` in interface `AssertionBuilder`
  Overrides:
    `build` in class `PrimitiveAssertionBuilder`
  Parameters:
    `element` - the element from which to build an assertion
  Returns:
    an Assertion built from the given element

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF